@echo off
echo:

rem *****************************************************
rem *    Visual C++ 5.x PTC win32 gui example build     *
rem * ------------------------------------------------- *
rem * Syntax: vc5x [example] (library)                  *
rem *                                                   *
rem * [example]  = example source name                  *
rem * (library)  = "debug" or "release"                 *
rem *****************************************************

if not exist "%1.cpp" goto done




rem ******************
rem * Win32 platform *
rem ******************

if "%2" == "release" goto release

echo Building "%1.cpp" : Visual C++ 5.x win32 debug
echo:
cl %1.cpp /I..\..\src -MTd -GX ..\..\lib\win32\vc5.x\debug.lib kernel32.lib user32.lib gdi32.lib -D "WIN32" -D "_DEBUG" -D "_WINDOWS" -D "_MT" -nologo
goto done

:release
echo Building "%1.cpp" : Visual C++ 5.x win32 release
echo:
cl %1.cpp /I..\..\src -MT -O2 -Ox ..\..\lib\win32\vc5.x\release.lib kernel32.lib user32.lib gdi32.lib -D "WIN32" -D "NDEBUG" -D "_WINDOWS" -D "_MT" -nologo
goto done




:done
echo:
